org.eclipse.oomph.ui

## Class PersistentButton.DialogSettingsPersistence

- java.lang.Object
- - org.eclipse.oomph.ui.PersistentButton.Persistence
  - - org.eclipse.oomph.ui.PersistentButton.DialogSettingsPersistence

- Enclosing class:
    PersistentButton

      public static final class PersistentButton.DialogSettingsPersistence
      extends PersistentButton.Persistence

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentButton.DialogSettingsPersistence(IDialogSettings dialogSettings, String key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDialogSettings` | `getDialogSettings()`
    `String` | `getKey()`
    `protected boolean` | `load(boolean defaultSelection)`
    `protected void` | `save(boolean selection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentButton.DialogSettingsPersistence

          public PersistentButton.DialogSettingsPersistence(IDialogSettings dialogSettings,
                                                    String key)

  - ### Method Detail

    - #### getDialogSettings

          public IDialogSettings getDialogSettings()

    - #### getKey

          public String getKey()

    - #### load

          protected boolean load(boolean defaultSelection)

      Specified by:
        `load` in class `PersistentButton.Persistence`

    - #### save

          protected void save(boolean selection)

      Specified by:
        `save` in class `PersistentButton.Persistence`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html